Preliminary work for EAPI 9, which bans the latter.
Signed-off-by: Eli Schwartz <[email protected]>
---
eclass/distutils-r1.eclass | 6 +++---
1 file changed, 3 insertions(+), 3 deletions(-)
diff --git a/eclass/distutils-r1.eclass b/eclass/distutils-r1.eclass
index 79c91aa23566..33ac7fd1e83a 100644
--- a/eclass/distutils-r1.eclass
+++ b/eclass/distutils-r1.eclass
@@ -217,7 +217,7 @@ if [[ -z ${_DISTUTILS_R1_ECLASS} ]]; then
_DISTUTILS_R1_ECLASS=1
case ${EAPI} in
- 8) ;;
+ 8) inherit eapi9-pipestatus ;;
*) die "${ECLASS}: EAPI ${EAPI:-0} not supported" ;;
esac
@@ -1454,13 +1454,13 @@ distutils-r1_python_install() {
(
cd "${reg_scriptdir}" && find . -mindepth 1
) | sort > "${T}"/.distutils-files-bin
- assert "listing ${reg_scriptdir} failed"
+ pipestatus || die "listing ${reg_scriptdir} failed"
(
if [[ -d ${wrapped_scriptdir} ]]; then
cd "${wrapped_scriptdir}" && find . -mindepth 1
fi
) | sort > "${T}"/.distutils-files-wrapped
- assert "listing ${wrapped_scriptdir} failed"
+ pipestatus || die "listing ${wrapped_scriptdir} failed"
if ! diff -U 0 "${T}"/.distutils-files-{bin,wrapped}; then
die "File lists for ${reg_scriptdir} and
${wrapped_scriptdir} differ (see diff above)"
fi
--
2.52.0